Skip to content
Get started

Get lending markets

markets.lend.list(LendListParams**kwargs) -> LendListResponse
GET/api/v1/markets/lend

Get lending markets

ParametersExpand Collapse
with_text: Optional[bool]

Include text variation fields

with_value: Optional[bool]

Calculate and include USD values for amounts, where applicable

ReturnsExpand Collapse
class LendListResponse:
count: int

Total number of objects irrespective of any pagination parameters.

formatuint16
minimum0
maximum65535
data: List[LendMarket]
asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

Lending market rates

apr: str

Market rate in APR standard as a decimal percentage

apy: str

Market rate in APY standard as a decimal percentage

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

apr: str
apy: str

Current lending market state

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

principal_sum: str
receipt_total_supply: str
redemption_ratio: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

principal_sum: str
price: str

Price used in value calculations

principal_sum: str
principal_sum: str

The total amount of the asset deposited for lending in the market.

receipt_total_supply: str
redemption_ratio: str
error: None

Error data. Guaranteed null for successful response.

status: int

HTTP status. Successful responses are guaranteed to be < 400. Conversely, error responses are guaranteed to be >= 400.

formatuint16
minimum0
maximum65535
status_text: str

HTTP status text

Get lending markets

from neptune_api_v2 import NeptuneAPIV2

client = NeptuneAPIV2()
lends = client.markets.lend.list()
print(lends.count)
{
  "data": [
    {
      "asset_info": {
        "asset": {
          "id": "native;inj",
          "group": "native",
          "group_key": "inj"
        },
        "metadata": {
          "name": "Injective",
          "symbol": "INJ",
          "symbol_denom": "inj",
          "decimals_denom": 18,
          "decimals_display": 4
        },
        "classification": {
          "kind": "regular",
          "neptune_receipt_asset": {
            "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
            "group": "token",
            "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
          }
        }
      },
      "rate": {
        "apr": "0.29995825",
        "apy": "0.34980245",
        "extra": {
          "text": {
            "apy": "34.98%",
            "apr": "29.99%"
          }
        }
      },
      "state": {
        "principal_sum": "425740748412504991838699",
        "receipt_total_supply": "396952939907783847231686",
        "redemption_ratio": "1.072521968249961422",
        "extra": {
          "text": {
            "redemption_ratio": "1.0725",
            "receipt_total_supply": "396,952.9399 nINJ",
            "principal_sum": "425,740.7484 INJ"
          },
          "value": {
            "price": "2.99835",
            "principal_sum": "1276519.773002634342279563",
            "extra": {
              "text": {
                "price": "$2.99",
                "principal_sum": "$1,276,519.77"
              }
            }
          }
        }
      }
    }
  ],
  "count": 1,
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}
Returns Examples
{
  "data": [
    {
      "asset_info": {
        "asset": {
          "id": "native;inj",
          "group": "native",
          "group_key": "inj"
        },
        "metadata": {
          "name": "Injective",
          "symbol": "INJ",
          "symbol_denom": "inj",
          "decimals_denom": 18,
          "decimals_display": 4
        },
        "classification": {
          "kind": "regular",
          "neptune_receipt_asset": {
            "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
            "group": "token",
            "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
          }
        }
      },
      "rate": {
        "apr": "0.29995825",
        "apy": "0.34980245",
        "extra": {
          "text": {
            "apy": "34.98%",
            "apr": "29.99%"
          }
        }
      },
      "state": {
        "principal_sum": "425740748412504991838699",
        "receipt_total_supply": "396952939907783847231686",
        "redemption_ratio": "1.072521968249961422",
        "extra": {
          "text": {
            "redemption_ratio": "1.0725",
            "receipt_total_supply": "396,952.9399 nINJ",
            "principal_sum": "425,740.7484 INJ"
          },
          "value": {
            "price": "2.99835",
            "principal_sum": "1276519.773002634342279563",
            "extra": {
              "text": {
                "price": "$2.99",
                "principal_sum": "$1,276,519.77"
              }
            }
          }
        }
      }
    }
  ],
  "count": 1,
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}